Subject: Re: linux-next: manual merge of the ptrace tree with the s390 tree

From: Tejun Heo <[email-masked]>
Date: Fri, 22 Jul 2011 10:48:20 +0200

Hello, Martin.

On Fri, Jul 22, 2011 at 10:29:22AM +0200, Martin Schwidefsky wrote:
> I could special case ptrace with PTRACE_SINGLESTEP to return with
> TRAP_TRACE instead of TRAP_HWBKPT but that would be artificial.
> From the hardware perspective its the same.

It's true that ptrace is more dependent on arch details than most but
still part of user-facing API and maintaining API consistency should
haver higher priority, so I really think we should have well defined
generic set of event information all archs implement and then some
arch dependent exception where absolutely necessary.  The problem at
this stage tho is that I don't have much idea how to divide them.  Eh
well, let's see how it goes. :)

Thanks.

-- 
tejun